package com.yihu.hos.datacollect.dao.intf;

import com.yihu.hos.datacollect.model.DtoJobDataset;
import com.yihu.hos.datacollect.model.RsJobDataset;
import com.yihu.ehr.framework.common.dao.XSQLGeneralDAO;
import com.yihu.ehr.framework.model.DataGridResult;
import com.yihu.hos.resource.model.RsDatasourceDataset;

import java.util.List;
import java.util.Map;

/**
 * 采集日志
 * Created by hzp on 2016/1/26.
 */
public interface IDatacollectLogDao extends XSQLGeneralDAO {

    /**
     * 修改
     */
    void updateJobDatasetKeyvalue(String id, String jobDatasetKeyvalue) throws Exception;

    /**
     * 推数据新增日志
     */
    void addDataPushLog(String type,String success,String content) throws Exception;

    /**
     * 获取日志列表
     */
    DataGridResult queryDataPushLog(Map<String, Object> conditionMap, Integer page, Integer pageSize) throws Exception;

}
