package com.yihu.hos.system.dao;

import com.yihu.ehr.framework.common.dao.SQLGeneralDAO;
import com.yihu.ehr.framework.model.DataGridResult;
import com.yihu.ehr.framework.model.Result;
import com.yihu.hos.system.dao.intf.IAppDao;
import com.yihu.hos.system.model.SystemApp;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweida on 2016/1/21.
 */
@Repository("appDao")
public class AppDao extends SQLGeneralDAO implements IAppDao {
    @Override
    public Result getAppList(Map<String, Object> params) throws Exception {
        StringBuilder sb = new StringBuilder("from SystemApp t where 1=1 ");

        return super.getDataGridResult(sb.toString(), Integer.valueOf(params.get("page").toString()), Integer.valueOf(params.get("rows").toString()));

    }

    @Override
    public List<SystemApp> getAllApplist() throws Exception {
        return (List<SystemApp>) super.hibernateTemplate.find("from SystemApp");
    }
}
