package com.yihu.hos.models;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

/**
 * @created Airhead 2016/8/8.
 */
@Document(collection = "businessLog")
public class BusinessLog {
    @Id
    private String id;
    private String transtionId;
    private String parentSpanId;
    @Indexed(name = "spanId_1", unique = true)
    private String spanId;
    private String from;
    private String to;
    private String content;
    private Date time;
}
